httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Baskaran.V" <v.baska...@yahoo.com>
Subject [users@httpd] Error :usr/include/unistd.h:1058: error: expected ')' before '[' token
Date Thu, 14 Nov 2013 22:49:39 GMT
Dear All,

I did not find the solution in google and archiving mail list .Hence I am posting my issue
here.
I am trying to install Apache (httpd-2.0.64) on AIX 7.1 with the following RPM packages.

AIX-rpm-7.1.2.15-1
libgcc-4.2.0-3
zlib-1.2.8-1
libstdc++-4.2.0-3
gcc-4.2.0-3
libstdc++-devel-4.2.0-3
gcc-c++-4.2.0-3
gettext-0.17-1
libgcc-4.8.2-1
libffi-3.0.13-1
libiconv-1.14-2
glib2-2.36.3-1
expat-2.1.0-1
libsigsegv-2.10-1
bash_64-4.2-12
apr-1.4.8-1
apr-util-1.5.2-1
info-5.1-1
m4-1.4.17-1
autoconf-2.69-1
automake-1.14-1
bzip2-1.0.6-1
readline-6.2-4
pcre-8.33-1
grep-2.14-1
gzip-1.5-1
sed-4.2.2-1
libtool-1.5.26-2
pkg-config-0.28-1
sqlite-3.7.17-1
unixODBC-2.3.1-1
zlib-devel-1.2.8-1

When I execute make command and am getting the following error. Kindly help me to fix the
issue.


Making all in srclib
Making all in apr
Making all in strings
        /bin/sh /usr/sap/apache/httpd-2.0.64/srclib/apr/libtool --silent --mode=compile
gcc   -maix64 -DHAVE_CONFIG_H -U__STR__ -D_THREAD_SAFE   -I../include -I../include/arch/unix
 -c apr_snprintf.c && touch apr_snprintf.lo
In file included from /usr/include/fcntl.h:219,
                 from ../include/apr_portable.h:44,
                 from apr_snprintf.c:23:
/usr/include/unistd.h:1058: error: expected ')' before '[' token
/usr/include/unistd.h:1059: error: expected declaration specifiers or '...' before 'rid_t'
In file included from /usr/include/sys/cred.h:52,
                 from /usr/include/sys/thread.h:42,
                 from /usr/include/sys/ptrace.h:28,
                 from /usr/include/sys/proc.h:42,
                 from /usr/include/sys/pri.h:43,
                 from /usr/include/sys/sched.h:38,
                 from /usr/include/sched.h:51,
                 from /usr/include/pthread.h:67,
                 from ../include/apr_portable.h:47,
                 from apr_snprintf.c:23:
/usr/include/sys/secattr.h:50: error: expected specifier-qualifier-list before 'rid_t'
/usr/include/sys/secattr.h:70: error: expected specifier-qualifier-list before 'authnum_t'
In file included from /usr/include/sys/thread.h:42,
                 from /usr/include/sys/ptrace.h:28,
                 from /usr/include/sys/proc.h:42,
                 from /usr/include/sys/pri.h:43,
                 from /usr/include/sys/sched.h:38,
                 from /usr/include/sched.h:51,
                 from /usr/include/pthread.h:67,
                 from ../include/apr_portable.h:47,
                 from apr_snprintf.c:23:
/usr/include/sys/cred.h:338: error: expected specifier-qualifier-list before 'rid_t'


 

Thanks & Regards,
Baskaran.V
Mime
View raw message